For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddRule
        • POSTDelRule
        • POSTSetRuleInfo
        • POSTGetRules
        • POSTReorderRules
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceRules

DelRule

||View as Markdown|
POST
https://api.voximplant.com/platform_api/DelRule
POST
/platform_api/DelRule
$curl -X POST "https://api.voximplant.com/platform_api/DelRule?rule_id=1&rule_id=3" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Success
1{
2 "result": 1
3}

Deletes the rule.

Allowed roles: Owner, Admin, Developer.

Example request: Delete the rule 1 and 3.

Was this page helpful?
Previous

AddRule

Next

SetRuleInfo

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

rule_idlist of integersOptional

The rule ID list separated by semicolons (;). Use the ‘all’ value to select all rules. Required unless rule_name is provided.

rule_namelist of stringsOptional

The rule name list separated by semicolons (;). Required unless rule_id is provided.

application_idlist of integersOptional

The application ID list separated by semicolons (;). Use the ‘all’ value to select all applications. Required unless application_name is provided.

application_namelist of stringsOptional

The application name list separated by semicolons (;). Required unless application_id is provided.

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully